// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class archerybutteNAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new archerybutteNAddonDeed();
			}
		}

		[ Constructable ]
		public archerybutteNAddon()
		{
			AddComponent( new AddonComponent( 4107 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 4107 );
			AddComponent( ac, 0, 0, 0 );

		}

		public archerybutteNAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class archerybutteNAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new archerybutteNAddon();
			}
		}

		[Constructable]
		public archerybutteNAddonDeed()
		{
			Name = "archerybutteN";
		}

		public archerybutteNAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}